Bug 474812 - Review Request: perl-Class-Unload - unload given Class
Review Request: perl-Class-Unload - unload given Class
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 08:49 EST by Marcela Mašláňová
Modified: 2010-09-02 17:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 02:20:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-12-05 08:49:08 EST
Spec URL: http://mmaslano.fedorapeople.org/perl-Class-Unload/perl-Class-Unload.spec
SRPM URL: http://mmaslano.fedorapeople.org/perl-Class-Unload/perl-Class-Unload-0.05-1.fc10.src.rpm
Description: Unloads the given class by clearing out its symbol table and removing it from %INC.
Comment 1 Jason Tibbitts 2008-12-06 17:48:33 EST
rpmlint says:
  perl-Class-Unload.noarch: W: summary-not-capitalized unload given Class
Easy to fix.

  perl-Class-Unload.noarch: E: description-line-too-long Unloads the given class 
   by clearing out its symbol table and removing it from %INC.
Just needs one carriage return.

Those are really trivial, so I'll go ahead and approve this and you can fix them when you check in.

* source files match upstream.  sha256sum:
   01807226cd9a6b5b1c6a02cf8408ab09e0e76e7d70f06f6d3fe3af6e41906005  
   Class-Unload-0.05.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK (needs capitalization).
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Class::Unload) = 0.05
   perl-Class-Unload = 0.05-1.fc11
  =
   perl >= 0:5.005
   perl(:MODULE_COMPAT_5.10.0)
   perl(Class::Inspector)
   perl(strict)
   perl(vars)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=5, Tests=21,  0 wallclock secs ( 0.01 usr  0.01 sys +  0.09 cusr  0.02 
    csys =  0.13 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, just fix up Summary: and %description.
Comment 2 Marcela Mašláňová 2008-12-08 04:47:56 EST
Summary and description will be fixed.
Comment 3 Marcela Mašláňová 2008-12-08 04:56:21 EST
New Package CVS Request
=======================
Package Name: perl-Class-Unload
Short Description: unload given Class
Owners: mmaslano
Branches: F-10 devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 4 Kevin Fenzi 2008-12-09 22:30:18 EST
cvs done.
Comment 5 Iain Arnell 2010-09-02 11:00:04 EDT
Package Change Request
======================
Package Name: perl-Class-Unload
New Branches: el6
Owners: iarnell mmaslano

Marcela's agreement in #629628
Comment 6 Kevin Fenzi 2010-09-02 17:24:03 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.